# Run tests in check section
%bcond_without check

# https://github.com/anmitsu/go-shlex
%global goipath         github.com/anmitsu/go-shlex
%global commit          38f4b401e2be5955e3e00b843d96e3c406f5094d

%gometa

%global common_description %{expand:
go-shlex is a library to make a lexical analyzer like Unix shell for Go.}

%global golicenses LICENSE
%global godocs  README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 2
Summary:        Library to make a lexical analyzer like Unix shell for golang
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles


%changelog
* Sat Mar 22 2025 pterjan <pterjan> 0-2.mga10
+ Revision: 2168656
- Mark the package as noarch
+ wally <wally>
- update RPM group to Development/Golang

* Wed Aug 24 2022 guillomovitch <guillomovitch> 0-1.mga9
+ Revision: 1879949
- new git snapshot

* Thu Sep 17 2020 joequant <joequant> 0-0.2.mga8
+ Revision: 1628127
- fix build

* Wed Nov 28 2018 pterjan <pterjan> 0-0.1.mga7
+ Revision: 1336344
- imported package golang-github-anmitsu-shlex

